apiVersion: kustomize.toolkit.fluxcd.io/v1
kind: Kustomization
metadata:
  name: podcast-server
spec:
  interval: 1440m
  path: ./podcast-server/k8s-server/
  prune: true
  sourceRef:
    kind: GitRepository
    name: home-server
    namespace: flux-system
  targetNamespace: podcast-server
  decryption:
    provider: sops
    secretRef:
      name: home-server-sops
